

:root input[type="checkbox"] { /* :root here acting as a filter for older browsers */
    position: absolute;
    opacity: 0;
}

:root input[type="checkbox"].ios-switch + div {
    display: inline-block;
    vertical-align: middle;
    width: 2.8em;	height: 1.6em;
    border: 1px solid rgba(0,0,0,.3);
    border-radius: 999px;
    margin: 0 .5em;
    background: white;
    background-image: linear-gradient(rgba(0,0,0,.1), transparent),
    linear-gradient(90deg, hsl(149, 84%, 42%) 50%, transparent 50%);
    background-size: 200% 100%;
    background-position: 100% 0;
    background-origin: border-box;
    background-clip: border-box;
    overflow: hidden;
    transition-duration: .4s;
    transition-property: padding, width, background-position, text-indent;
    box-shadow: 0 .1em .1em rgba(0,0,0,.2) inset,
    0 .45em 0 .1em rgba(0,0,0,.05) inset;
    font-size: 150%; /* change this and see how they adjust! */
    cursor: pointer;
}

:root input[type="checkbox"].ios-switch:checked + div {
    padding-left: 1.2em;	width: 1.6em;
    background-position: 0 0;
}

:root input[type="checkbox"].ios-switch + div:before {
    content: '';
    float: left;
    width: 2.40em; height: 2.40em;
    margin: .05em .1em;
    border: 1px solid rgba(0,0,0,.35);
    border-radius: inherit;
    background: white;
    background-image: linear-gradient(rgba(0,0,0,.2), transparent);
    box-shadow: 0 .1em .1em .1em hsla(0,0%,100%,.8) inset,
    0 0 .5em rgba(0,0,0,.3);
    color: white;
    text-shadow: 0 -1px 1px rgba(0,0,0,.3);
    text-indent: -2.5em;
}

:root input[type="checkbox"].redswitch + div:before {
    background-image: linear-gradient(rgba(200,0,0,.6), transparent);
}

:root input[type="checkbox"].ios-switch:active + div:before {
    background-color: #eee;
}

:root input[type="checkbox"].ios-switch:focus + div {
    /*box-shadow: 0 .1em .1em rgba(0,0,0,.2) inset,
    0 .45em 0 .1em rgba(0,0,0,.05) inset,
    0 0 .4em 1px rgba(255,0,0,.5);*/
}

:root input[type="checkbox"].ios-switch + div:before,
:root input[type="checkbox"].ios-switch + div:after {
    font: bold 60%/1.9 sans-serif;
    text-transform: uppercase;
}

:root input[type="checkbox"].ios-switch + div:after {
    content: '';
    float: left;
    text-indent: .5em;
    color: rgba(0,0,0,.45);
    text-shadow: none;
}
